Avro C#

Public Member Functions | Properties | List of all members
Avro.Reflect.AvroFieldAttribute Class Reference

Attribute that specifies the mapping between an Avro field and C# class property. More...

Inheritance diagram for Avro.Reflect.AvroFieldAttribute:

## Public Member Functions
| AvroFieldAttribute (string fieldName, Type converter=null)
| Attribute to hold a field name and optionally a converter More...
| AvroFieldAttribute (Type converter)
| Used in property name mapping to specify a property type converter for the attribute. More...

## Properties
string | FieldName`[get, set]`
| Name of the field in the Avro Schema More...
IAvroFieldConverter | Converter`[get, set]`
| Convert the property into a standard Avro type - e.g. DateTimeOffset to long More...

## Detailed Description

Attribute that specifies the mapping between an Avro field and C# class property.

## Constructor & Destructor Documentation

## ◆ AvroFieldAttribute() [1/2]

Avro.Reflect.AvroFieldAttribute.AvroFieldAttribute | ( | string | fieldName,
|  | Type | converter = `null`
| ) |  |
| inline

Attribute to hold a field name and optionally a converter

Parameters

  fieldName |
  converter |

## ◆ AvroFieldAttribute() [2/2]

Avro.Reflect.AvroFieldAttribute.AvroFieldAttribute | ( | Type | converter | ) |
| inline

Used in property name mapping to specify a property type converter for the attribute.

Parameters

  converter |

## Property Documentation

## ◆ Converter

IAvroFieldConverter Avro.Reflect.AvroFieldAttribute.Converter
| get set

Convert the property into a standard Avro type - e.g. DateTimeOffset to long

## ◆ FieldName

string Avro.Reflect.AvroFieldAttribute.FieldName
| get set

Name of the field in the Avro Schema

The documentation for this class was generated from the following file:

- src/apache/main/Reflect/AvroFieldAttribute.cs